com.fasterxml.jackson.databind.ser

## Class AnyGetterWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.AnyGetterWriter

    public class AnyGetterWriter
    extends Object

Class similar to `BeanPropertyWriter`, but that will be used for serializing `JsonAnyGetter` annotated (Map) properties

### Field Summary

Fields
`protected AnnotatedMember` `_accessor` Method (or field) that represents the "any getter"
`protected MapSerializer` `_mapSerializer`
`protected BeanProperty` `_property`
`protected JsonSerializer<Object>` `_serializer`

### Constructor Summary

Constructors
Constructor and Description
`AnyGetterWriter(BeanProperty property, AnnotatedMember accessor, JsonSerializer<?> serializer)`

### Method Summary

Methods
`void` `fixAccess(SerializationConfig config)`
`void` `getAndFilter(Object bean, JsonGenerator gen, SerializerProvider provider, PropertyFilter filter)`
`void` `getAndSerialize(Object bean, JsonGenerator gen, SerializerProvider provider)`
`void` `resolve(SerializerProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _property

    protected final BeanProperty _property

#### _accessor

    protected final AnnotatedMember _accessor

Method (or field) that represents the "any getter"

#### _serializer

    protected JsonSerializer<Object> _serializer

#### _mapSerializer

    protected MapSerializer _mapSerializer

### Constructor Detail

#### AnyGetterWriter

    public AnyGetterWriter(BeanProperty property,
                   AnnotatedMember accessor,
                   JsonSerializer<?> serializer)

### Method Detail

#### fixAccess

    public void fixAccess(SerializationConfig config)

Since:
  2.8.3

#### getAndSerialize

    public void getAndSerialize(Object bean,
                       JsonGenerator gen,
                       SerializerProvider provider)
                         throws Exception

Throws:
  `Exception`

#### getAndFilter

    public void getAndFilter(Object bean,
                    JsonGenerator gen,
                    SerializerProvider provider,
                    PropertyFilter filter)
                      throws Exception

Throws:
  `Exception`
Since:
  2.3

#### resolve

    public void resolve(SerializerProvider provider)
                 throws JsonMappingException

Throws:
  `JsonMappingException`